# Freedombone "Code of Conduct"

## Be respectful

In any Free Software project with more than one participant inevitably there may be people with whom you may disagree, or find it difficult to cooperate. Accept that, but even so, remain respectful. Disagreement is no excuse for poor behaviour or personal attacks, and a community in which people feel threatened is not a healthy community.

## Assume good faith

Freedombone Contributors have many ways of reaching our common goal of providing freedom respecting internet or mesh systems which may differ from your ways. Assume that other people are working towards this goal.

## Be collaborative

Freedombone is a moderately complex project, though nothing big and professional like GNU. It's good to ask for help when you need it. Similarly, offers for help should be seen in the context of our shared goal of improving the system.

When you make something for the benefit of the project, be willing to explain to others how it works, so that they can build on your work to make it even better.

## Try to be concise

If you're submitting documentation then keep in mind that what you write once could be read by many other people. To avoid TL;DR keep it as short and concise as possible. This will also reduce the amount of translations effort needed.

If you're discussing an issue or bug, try to stay on topic, especially in discussions that are already fairly large.

## Public discussions

For public discussions about the project use the Matrix room *#fbone:matrix.freedombone.net* or the XMPP support conference at *support@chat.freedombone.net*. The XMPP conference might require an invite and you can get one via request from bob@freedombone.net, either via email or via XMPP with OMEMO.

## No spamming

Posting of adverts or other off-topic content in Matrix/XMPP or other public systems used by the project will be considered a violation of the code of conduct.

## Respect others’ privacy

No stalking, unwanted personal attention, or unwelcome revealing or speculating about personal details of others.

In cases of sincere, good-faith curiosity about someone’s experience or identity, ask politely in a manner such that they will feel free to decline the request.

## No hostile communication

No insults, harassment (sexual or otherwise), condescension, ad hominem, threats, or other intimidation. Claims that such communications were intended as "ironic" or humerous will also be considered a code of conduct violation.

Condescension means treating others as inferior. Subtle condescension still violates the Code of Conduct even if not blatantly demeaning.

No stereotyping of or promoting prejudice or discrimination against particular groups or classes of people, including sexism, racism, homophobia, transphobia, age discrimination or discrimination based upon nationality.

In cases where criticism of ideology or culture remains on-topic, respectfully discuss the ideas.

## No proprietary software

This is a Free Software project and there is no intention to support or endorse any software which is proprietary, including that which may be running on client devices. For example, supporting iThings or Windows users is out of scope of the project. It's possible that Freedombone may work with those systems, but if there are problems it's not within the scope of this project to resolve compatibility issues with proprietary browsers or platforms.

## Raising concerns

If you're raising concerns about something or someone, there must be demonstrable evidence that the thing exists or that the event occurred. That means having something to show or link to. Concerns not based upon observable evidence will be considered spurious.

This is not a big project and so there is no division of labor or special enforcement committee or bureaucratic process.

If your concern is something which is suitable for public discussion then raise it in one of the chat rooms mentioned above. Be mindful to do so in a polite and considerate manner. Hostile communication towards anyone raising concerns publicly will be considered a code of conduct violation.

Private complaints should be sent to bob@freedombone.net, preferably via XMPP/Conversations with OMEMO enabled but you can also use the same address for email correspondence. If you're using email and have GPG capability the public key [can be found here](./support.html). XMPP messages are likely to get the quickest response.

## In case of violations

Violators of this code of conduct will:

 * Be removed from the Matrix and/or XMPP chat rooms
 * Will not have pending or future patches or pull requests merged
 * If they have a user account on *code.freedombone.net* it will be removed

This applies regardless of past levels of commitment or technical abilities.
